<?php


require_once "baglan.php";
error_reporting(0);

function aktif($urlsi)
{
    $mesaj = "";
    $url = "http://" . $_SERVER["HTTP_HOST"] . $_SERVER["REQUEST_URI"];
    if (strpos($url, $urlsi) !== false) {
        $mesaj = "active";
    }
    return $mesaj;
}
function AktifLink($urlsi)
{
    $aktif = "";
    if (strstr($_SERVER[HTTP_HOST] . "/" . $_SERVER[REQUEST_URI], $urlsi)) {
        $aktif = "act-link";
    }
    return $aktif;
}
function ip()
{
    if (getenv("HTTP_CLIENT_IP")) {
        $ip = getenv("HTTP_CLIENT_IP");
    } else {
        if (getenv("HTTP_X_FORWARDED_FOR")) {
            $ip = getenv("HTTP_X_FORWARDED_FOR");
            if (strstr($ip, ",")) {
                $tmp = explode(",", $ip);
                $ip = trim($tmp[0]);
            }
        } else {
            $ip = getenv("REMOTE_ADDR");
        }
    }
    return $ip;
}
function kod($uzunluk = 8, $buyuk_harf = 1, $kucuk_harf = 1, $sayi_kullan = 1, $ozel_karakter = "")
{
    $buyukler = "ABCDEFGHIJKLMNOPQRSTUVWXYZ";
    $kucukler = "abcdefghijklmnopqrstuvwxyz";
    $sayilar = "0123456789";
    if ($buyuk_harf) {
        $seed_length += 26;
        $seed .= $buyukler;
    }
    if ($kucuk_harf) {
        $seed_length += 26;
        $seed .= $kucukler;
    }
    if ($sayi_kullan) {
        $seed_length += 10;
        $seed .= $sayilar;
    }
    if ($ozel_karakter) {
        $seed_length += strlen($ozel_karakter);
        $seed .= $ozel_karakter;
    }
    for ($x = 1; $x <= $uzunluk; $x++) {
        $sifre .= $seed[rand(0, $seed_length - 1)];
    }
    return $sifre;
}
function seoyap($s)
{
    $tr = ["ş", "Ş", "ı", "İ", "ğ", "Ğ", "ü", "Ü", "ö", "Ö", "ç", "Ç"];
    $en = ["s", "s", "i", "i", "g", "g", "u", "u", "o", "o", "c", "c"];
    $s = str_replace($tr, $en, $s);
    $s = strtolower($s);
    $s = preg_replace("/&amp;amp;amp;amp;amp;amp;amp;amp;.+?;/", "-", $s);
    $s = preg_replace("/[^%a-z0-9 _-]/", "-", $s);
    $s = preg_replace("/\\s+/", "-", $s);
    $s = preg_replace("|-+|", "-", $s);
    $s = str_replace("--", "-", $s);
    $s = trim($s, "-");
    return $s;
}
function kisalt($metin, $uzunluk = 50)
{
    if ($uzunluk < strlen($metin)) {
        $metin = substr($metin, 0, $uzunluk) . "...";
        $metin_son = strrchr($metin, " ");
        $metin = str_replace($metin_son, " ...", $metin);
    }
    return $metin;
}
function NumaraDuzelt($gelendata)
{
    $deger1 = ["(", ")", " "];
    $deger2 = ["", "", ""];
    $degismishali = str_replace($deger1, $deger2, $gelendata);
    return $degismishali;
}
function tarih($par)
{
    $explode = explode(" ", $par);
    $explode2 = explode("-", $explode[0]);
    $zaman = substr($explode[1], 0, 5);
    if ($explode2[1] == "01") {
        $ay = "Ocak";
    } else {
        if ($explode2[1] == "02") {
            $ay = "Şubat";
        } else {
            if ($explode2[1] == "03") {
                $ay = "Mart";
            } else {
                if ($explode2[1] == "04") {
                    $ay = "Nisan";
                } else {
                    if ($explode2[1] == "05") {
                        $ay = "Mayıs";
                    } else {
                        if ($explode2[1] == "06") {
                            $ay = "Haziran";
                        } else {
                            if ($explode2[1] == "07") {
                                $ay = "Temmuz";
                            } else {
                                if ($explode2[1] == "08") {
                                    $ay = "Ağustos";
                                } else {
                                    if ($explode2[1] == "09") {
                                        $ay = "Eylül";
                                    } else {
                                        if ($explode2[1] == "10") {
                                            $ay = "Ekim";
                                        } else {
                                            if ($explode2[1] == "11") {
                                                $ay = "Kasım";
                                            } else {
                                                if ($explode2[1] == "12") {
                                                    $ay = "Aralık";
                                                }
                                            }
                                        }
                                    }
                                }
                            }
                        }
                    }
                }
            }
        }
    }
    return $explode2[2] . " " . $ay . " " . $explode2[0] . ", " . $zaman;
}
function btarih($par)
{
    $explode = explode(" ", $par);
    $explode2 = explode(".", $explode[0]);
    if ($explode2[1] == "01") {
        $ay = "Ocak";
    } else {
        if ($explode2[1] == "02") {
            $ay = "Şubat";
        } else {
            if ($explode2[1] == "03") {
                $ay = "Mart";
            } else {
                if ($explode2[1] == "04") {
                    $ay = "Nisan";
                } else {
                    if ($explode2[1] == "05") {
                        $ay = "Mayıs";
                    } else {
                        if ($explode2[1] == "06") {
                            $ay = "Haziran";
                        } else {
                            if ($explode2[1] == "07") {
                                $ay = "Temmuz";
                            } else {
                                if ($explode2[1] == "08") {
                                    $ay = "Ağustos";
                                } else {
                                    if ($explode2[1] == "09") {
                                        $ay = "Eylül";
                                    } else {
                                        if ($explode2[1] == "10") {
                                            $ay = "Ekim";
                                        } else {
                                            if ($explode2[1] == "11") {
                                                $ay = "Kasım";
                                            } else {
                                                if ($explode2[1] == "12") {
                                                    $ay = "Aralık";
                                                }
                                            }
                                        }
                                    }
                                }
                            }
                        }
                    }
                }
            }
        }
    }
    return $explode2[0] . " " . $ay . " " . $explode2[2];
}
function gun_goster($par)
{
    $explode = explode(" ", $par);
    $explode2 = explode("-", $explode[0]);
    $gun = $explode2[2];
    return $gun;
}
function saat_goster($par)
{
    $explode = explode(" ", $par);
    $explode2 = explode("-", $explode[1]);
    $saat = $explode2[0];
    return $saat;
}
function tryil($par)
{
    $explode = explode(" ", $par);
    $explode2 = explode("-", $explode[0]);
    $yil = $explode2[0];
    return $yil;
}
function tray($par)
{
    $explode = explode(" ", $par);
    $explode2 = explode("-", $explode[0]);
    if ($explode2[1] == "01") {
        $ay = "Ocak";
    } else {
        if ($explode2[1] == "02") {
            $ay = "Şubat";
        } else {
            if ($explode2[1] == "03") {
                $ay = "Mart";
            } else {
                if ($explode2[1] == "04") {
                    $ay = "Nisan";
                } else {
                    if ($explode2[1] == "05") {
                        $ay = "Mayıs";
                    } else {
                        if ($explode2[1] == "06") {
                            $ay = "Haziran";
                        } else {
                            if ($explode2[1] == "07") {
                                $ay = "Temmuz";
                            } else {
                                if ($explode2[1] == "08") {
                                    $ay = "Ağustos";
                                } else {
                                    if ($explode2[1] == "09") {
                                        $ay = "Eylül";
                                    } else {
                                        if ($explode2[1] == "10") {
                                            $ay = "Ekim";
                                        } else {
                                            if ($explode2[1] == "11") {
                                                $ay = "Kasım";
                                            } else {
                                                if ($explode2[1] == "12") {
                                                    $ay = "Aralık";
                                                }
                                            }
                                        }
                                    }
                                }
                            }
                        }
                    }
                }
            }
        }
    }
    return $ay;
}
function trgun($par)
{
    $explode = explode(" ", $par);
    $explode2 = explode("-", $explode[0]);
    $gun = date("l", mktime(0, 0, 0, $explode2[1], $explode2[2], $explode2[0]));
    $gun_ingilizce = ["Monday", "Tuesday", "Wednesday", "Thursday", "Friday", "Saturday", "Sunday"];
    $turkce_gun = ["Pazartesi", "Sal&#305;", "&Ccedil;ar&#351;amba", "Per&#351;embe", "Cuma", "Cumartesi", "Pazar"];
    $gun_degis = str_replace($gun_ingilizce, $turkce_gun, $gun);
    return $gun_degis;
}
function tarihkisa($par)
{
    $explode = explode(" ", $par);
    $explode2 = explode("-", $explode[0]);
    if ($explode2[1] == "01") {
        $ay = "Oca";
    } else {
        if ($explode2[1] == "02") {
            $ay = "Şub";
        } else {
            if ($explode2[1] == "03") {
                $ay = "Mar";
            } else {
                if ($explode2[1] == "04") {
                    $ay = "Nis";
                } else {
                    if ($explode2[1] == "05") {
                        $ay = "May";
                    } else {
                        if ($explode2[1] == "06") {
                            $ay = "Haz";
                        } else {
                            if ($explode2[1] == "07") {
                                $ay = "Tem";
                            } else {
                                if ($explode2[1] == "08") {
                                    $ay = "Ağu";
                                } else {
                                    if ($explode2[1] == "09") {
                                        $ay = "Eyl";
                                    } else {
                                        if ($explode2[1] == "10") {
                                            $ay = "Eki";
                                        } else {
                                            if ($explode2[1] == "11") {
                                                $ay = "Kas";
                                            } else {
                                                if ($explode2[1] == "12") {
                                                    $ay = "Ara";
                                                }
                                            }
                                        }
                                    }
                                }
                            }
                        }
                    }
                }
            }
        }
    }
    return $explode2[0] . " " . $ay;
}
function tarihkisa_gun($par)
{
    $explode2 = explode(" ", $par);
    if ($explode2[1] == "Ocak") {
        $ay = "Oca";
    } else {
        if ($explode2[1] == "Şubat") {
            $ay = "Şub";
        } else {
            if ($explode2[1] == "Mart") {
                $ay = "Mar";
            } else {
                if ($explode2[1] == "Nisan") {
                    $ay = "Nis";
                } else {
                    if ($explode2[1] == "Mayıs") {
                        $ay = "May";
                    } else {
                        if ($explode2[1] == "Haziran") {
                            $ay = "Haz";
                        } else {
                            if ($explode2[1] == "Temmuz") {
                                $ay = "Tem";
                            } else {
                                if ($explode2[1] == "Ağustos") {
                                    $ay = "Ağu";
                                } else {
                                    if ($explode2[1] == "Eylül") {
                                        $ay = "Eyl";
                                    } else {
                                        if ($explode2[1] == "Ekim") {
                                            $ay = "Eki";
                                        } else {
                                            if ($explode2[1] == "Kasım") {
                                                $ay = "Kas";
                                            } else {
                                                if ($explode2[1] == "Aralık") {
                                                    $ay = "Ara";
                                                }
                                            }
                                        }
                                    }
                                }
                            }
                        }
                    }
                }
            }
        }
    }
    return $ay;
}
function ay($par)
{
    $explode = explode(" ", $par);
    $explode2 = explode("-", $explode[0]);
    if ($explode2[0] == "01") {
        $ay = "Ocak";
    } else {
        if ($explode2[0] == "02") {
            $ay = "Şubat";
        } else {
            if ($explode2[0] == "03") {
                $ay = "Mart";
            } else {
                if ($explode2[0] == "04") {
                    $ay = "Nisan";
                } else {
                    if ($explode2[0] == "05") {
                        $ay = "Mayıs";
                    } else {
                        if ($explode2[0] == "06") {
                            $ay = "Haziran";
                        } else {
                            if ($explode2[0] == "07") {
                                $ay = "Temmuz";
                            } else {
                                if ($explode2[0] == "08") {
                                    $ay = "Ağustos";
                                } else {
                                    if ($explode2[0] == "09") {
                                        $ay = "Eylül";
                                    } else {
                                        if ($explode2[0] == "10") {
                                            $ay = "Ekim";
                                        } else {
                                            if ($explode2[0] == "11") {
                                                $ay = "Kasım";
                                            } else {
                                                if ($explode2[0] == "12") {
                                                    $ay = "Aralık";
                                                }
                                            }
                                        }
                                    }
                                }
                            }
                        }
                    }
                }
            }
        }
    }
    return $ay;
}
function yil($par)
{
    $explode = explode(" ", $par);
    $explode2 = explode("-", $explode[0]);
    if ($explode2[0] == "01") {
        $ay = "Ocak";
    } else {
        if ($explode2[0] == "02") {
            $ay = "Şubat";
        } else {
            if ($explode2[0] == "03") {
                $ay = "Mart";
            } else {
                if ($explode2[0] == "04") {
                    $ay = "Nisan";
                } else {
                    if ($explode2[0] == "05") {
                        $ay = "Mayıs";
                    } else {
                        if ($explode2[0] == "06") {
                            $ay = "Haziran";
                        } else {
                            if ($explode2[0] == "07") {
                                $ay = "Temmuz";
                            } else {
                                if ($explode2[0] == "08") {
                                    $ay = "Ağustos";
                                } else {
                                    if ($explode2[0] == "09") {
                                        $ay = "Eylül";
                                    } else {
                                        if ($explode2[0] == "10") {
                                            $ay = "Ekim";
                                        } else {
                                            if ($explode2[0] == "11") {
                                                $ay = "Kasım";
                                            } else {
                                                if ($explode2[0] == "12") {
                                                    $ay = "Aralık";
                                                }
                                            }
                                        }
                                    }
                                }
                            }
                        }
                    }
                }
            }
        }
    }
    return $explode2[0];
}
function gun_fiyat($gun, $bir_uc, $dort_yedi, $sekiz_onbes, $onalti_yirmibir, $yirmiiki_yirmisekiz, $yirmidokuz_doksandokuz)
{
    if ($gun <= 3) {
        $genel_toplam = $bir_uc * $gun;
    } else {
        if ($gun <= 7 && 4 <= $gun) {
            $genel_toplam = $dort_yedi * $gun;
        } else {
            if ($gun <= 15 && 8 <= $gun) {
                $genel_toplam = $sekiz_onbes * $gun;
            } else {
                if ($gun <= 21 && 16 <= $gun) {
                    $genel_toplam = $onalti_yirmibir * $gun;
                } else {
                    if ($gun <= 28 && 22 <= $gun) {
                        $genel_toplam = $yirmiiki_yirmisekiz * $gun;
                    } else {
                        if ($gun <= 99 && 29 <= $gun) {
                            $genel_toplam = $yirmidokuz_doksandokuz * $gun;
                        } else {
                            if (99 <= $gun) {
                                $genel_toplam = $yirmidokuz_doksandokuz * $gun;
                            } else {
                                $genel_toplam = $bir_uc * $gun;
                            }
                        }
                    }
                }
            }
        }
    }
    return $genel_toplam;
}
function para_birim()
{
    if (PARABIRIM == "TL") {
        $birim = "<i class=\"fa fa-try\"></i>";
    }
    if (PARABIRIM == "USD") {
        $birim = "<i class=\"fa fa-usd\"></i>";
    }
    if (PARABIRIM == "EURO") {
        $birim = "<i class=\"fa fa-eur\"></i>";
    }
    return $birim;
}
function getSiteAdi()
{
    return "webofisi89";
}
function islemkontrol()
{
    if (empty($_SESSION["yonetici_kullanici"])) {
        header("Location:../panel/index.php");
        exit;
    }
}
function tr_tarih($tarih = "Y-m-d H:i:s")
{
    $zaman = new DateTime(date($tarih));
    $zaman->setTimeZone(new DateTimeZone("Europe/Istanbul"));
    return $zaman->format($tarih);
}
function sayac_bugun($bugun = "d")
{
    $zaman = new DateTime(date($bugun));
    $zaman->setTimeZone(new DateTimeZone("Europe/Istanbul"));
    return $zaman->format($bugun);
}
function sayac_ay($ay = "m")
{
    $zaman = new DateTime(date($ay));
    $zaman->setTimeZone(new DateTimeZone("Europe/Istanbul"));
    return $zaman->format($ay);
}
function sayac_yil($yil = "Y")
{
    $zaman = new DateTime(date($yil));
    $zaman->setTimeZone(new DateTimeZone("Europe/Istanbul"));
    return $zaman->format($yil);
}

?>